#
# spec file for package python-eggtestinfo
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-eggtestinfo
Version:        0.3
Release:        2.1
Summary:        Add test information to egg-info
License:        Python-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/eggtestinfo
Source:         https://pypi.python.org/packages/source/e/eggtestinfo/eggtestinfo-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package is a setuptools plugin:  it adds a file to the generated
.egg-info directory, capturing the information used by the
`setup.py test command when running tests.

%prep
%setup -q -n eggtestinfo-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt CHANGES.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Jul 14 2013 alexandre@exatati.com.br
- Initial package (0.3) for openSUSE.
